.quantity {
    display: block;
    position: relative;
    background: $white;
    height: 44px;
    min-width: 94px;
    padding: 0 20px;
    border: 1px solid #F2F2F2;
    $input-selector: "input[type=text], input[type=number]";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: 42px;
        outline: none;
        color: $black;
        text-align: center;
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(20);
        padding: 11px 0;
        border-radius: 0;
        position: relative;
        background: transparent;
        display: block;
        vertical-align: middle;
        border: none;
        @include placeholder(transparent);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            opacity: 1;
            outline: none;
            @include placeholder(transparent);

        }


        &.error {
            border-color: red !important;
        }
    }

    input[type="number"]::-webkit-outer-spin-button,
    input[type="number"]::-webkit-inner-spin-button {
        display: none;
    }

    &__button {
        top: 0;
        z-index: 20;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: 28px;
        height: 42px;
        background: $white;
        cursor: pointer;
        position: absolute;

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 4px);
            z-index: 10;
            content: '';
            width: 8px;
            height: 2px;
            background: $purple;
            position: absolute;
        }

        &--minus {
            left: 0;
        }

        &--plus {
            right: 0;

            &:after {
                transform: rotate(90deg);
            }
        }
    }

    @include media-breakpoint-up(md) {
        height: 60px;

        #{$input-selector} {
            height: 58px;
            font-size: rem(18);
            line-height: rem(22);
            padding: 18px 0;
        }

        &__button {
            width: 36px;
            height: 58px;
        }
    }
}

